program prvi;


function da(a:integer):integer;
var i:integer;

begin
i:=0;

if a>0 then
begin
if a>4 then
begin
a:=a-5;
i:=1;
end;
if a>2 then
i:=i+2
else
if a>0 then
i:=i+1
end;
da:=i;
end;


var a:string;
x,i:integer;

begin
read(a);
x:=0;
for i:=1 to length(a) do
x:=x+da(ord(a[i])-48);
write(x); 
end.